com.fasterxml.jackson.databind.cfg

## Interface ConfigFeature

- All Known Implementing Classes:
    DeserializationFeature, MapperFeature, SerializationFeature

      public interface ConfigFeature

  Interface that actual SerializationFeature enumerations used by `MapperConfig` implementations must implement. Necessary since enums can not be extended using normal inheritance, but can implement interfaces

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `enabledByDefault()` Accessor for checking whether this feature is enabled by default.
    `boolean` | `enabledIn(int flags)` Convenience method for checking whether feature is enabled in given bitmask
    `int` | `getMask()` Returns bit mask for this feature instance

- - ### Method Detail

    - #### enabledByDefault

          boolean enabledByDefault()

      Accessor for checking whether this feature is enabled by default.

    - #### getMask

          int getMask()

      Returns bit mask for this feature instance

    - #### enabledIn

          boolean enabledIn(int flags)

      Convenience method for checking whether feature is enabled in given bitmask
      Since:
        2.6